Subject: [Simple] Re: Nits on XCAP -03

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 22 Oct 2004 02:20:37 -0400

Thanks for the comments, aki. I've incorporated them. Once response inline.

-Jonathan R.

Aki Niemi wrote:
> Squeezing these in at the last moment,
> 
> These are nits that I found with the XCAP base spec. The bigger issues I
> suspect have been resolved on the list already.
> 
> There is one controversial idea I'm going to put on the list, but
> outside of that, XCAP is good to go IMO.
> 
> Cheers,
> Aki
> 
> ---
> 
> 1) Ch 1., 2nd para., 3rd sentence: "...for the list of is to..." is
> unclear.
> 
> 2) Next sentence, add space after [15].
> 
> 3) Ch 2., 1st para, "...the HTTP URIs used by XCAP point a
> document..."                                            ^to
> 
> 4) Ch 3., s/RFC 2119/RFC 2119, BCP 14,
> 
> 5) Ch 4., should add line feeds between definitions to improve
> readability.
> 
> 6) Ch 5.1, half way through 1st paragraph: "...reverse domain name name
> of the..." extra "name"
> 
> 7) Ch 6.1, 1st para., 4th s.: s/doesnt/doesn't
> 
> 8) Don't understand last sentence of Ch 6.1: if there are two root URIs
> "http://192.168.0.1:80/blah/blah/blah" and
> "http://my.example.com/blah/blah/blah", then there is clearly
> interaction between the resources, no?
> 
> 9) slash is represented as ("/") in the text. Recommend representing
> double tilde the same way, i.e., ("~~"), instead of (~~)
> 
> 10) Last sentence of Ch 6.2 is hard to parse.
> 
> 11) Ch 6.3, BNF definition flows over I-D's 72 or so char line
> 
> 12) After BNF, "...is defined the XML..."
>                              ^ in
> 13) Page 19, 2nd para, 3rd sentence, s/an examples/of examples
> 
> 13b) same sentence, starting after comma is hard to understand
> 
> 14) Inconsistent usage of HTTP URL/URI throughout. Recommend choosing
> one, and doing a replace all with it.
> 
> 15) Page 19, last para.: "An elements name is a match..."
>                                     ^'
> 16) Page 20, 1st para., 4th sentence: "If the content of the content..."
> "s/content/predicate" for the second appearance of it
> 
> 17) Page 20, 2nd para.: it would probably be wise to give a reason why
> selection based on xmlns attribute is not possible (that is, because XML
> says so...)
> 
> 18) In Fig 3., text above caption should be in caption (in title=""
> attribute"
> 
> 19) Perhaps should stick a comment inside the element in the example,
> since the text above the figure sort of suggests it
> 
> 20) Ch 7. second para., is there a reason why "SHOULD" and not "MUST" in
> this passage? I'd say MUST is better, or else give a valid reason for
> not doing it.

There are no interop problems if you don't. Your request would just 
fail. Maybe thats what you wanted...

> 
> 21) Same goes for the 4th para of Ch 7. about retransmitting
> 
> 22) Ch 7., para 5, 1st sentence: "...dictate involve..." which one is
> it?

same

> 
> 23) There are several occurrences of "position-th" in the document. This
> may not be self-explanatory to folks, so suggest some text explaining
> what that means after the first occurrence.
> 
> 24) Example request overflows in Ch 7.4.
> 
> 25) Ch 7.6, 2nd para.: would return all comments, CDATA segments within
> those elements as well. Maybe worth noting that.
> 
> 26) Ch 7.7, 2nd para.: should include a reference for XML 1.0?
> 
> 27) Example request overflows in Ch 7.7
> 
> 28) In Ch 8.2.1, 1st para: s/doocuments/documents
> 29) In ch 8.2.1, 4th para., 1st sentence: s/evaluates in/evaluates it
> 
> 39) Page 31, 2nd paragrapch: this is specified in detail in the client
> section - why not with the same detail here?
> 
> 40) Page 34, 3rd para.: s/interdependcies/interdependencies
> 
> 40) Same page, and para: elsewhere in the doc status codes are without
> status phrase, however, here they are included for 200/201.
> 
> 41) Page 35, 2nd para.: s/interdependcies/interdependencies
> 
> 42) Ch 9.1, definition of <uniqueness-failure> says <exists> can contain
> alternate values. Suggest adding that those would go in the <alt-value>
> element.
> 
> That's all!
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                        FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple